# SPDX-FileCopyrightText: 2025 Gergely Nagy
# SPDX-FileContributor: Gergely Nagy
#
# SPDX-License-Identifier: MIT

_:

{
  config = {
    projectRootFile = "./Cargo.toml";
    programs = {
      nixfmt.enable = true; # nix
      statix.enable = true; # nix static analysis
      deadnix.enable = true; # find dead nix code
      rustfmt.enable = true; # rust
      taplo.enable = true; # toml
    };
    settings.formatter = {
      taplo.options = [
        "format"
        "--option"
        "indent_tables=true"
        "--option"
        "indent_entries=true"
      ];
    };
  };
}
