# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.1.0/), and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

### Added

- The `iocaine_garbage_served` metric will have the same labels applied to it as `iocaine_requests_total`.
- Implemented a new metric, `iocaine_maze_depth`, a counter to track how deep the maze has been explored so far.
- When metrics are enabled, process metrics such as CPU seconds used, memory usage, etc, are also emitted.

### Fixed

- The default bind address, both for the main service, and for metrics, are now correctly initialized with a default.

## [1.0.0] - 2025-03-01

_Initial release._

[Unreleased]: https://git.madhouse-project.org/iocaine/iocaine/compare/iocaine-1.0.0...main
[1.0.0]: https://git.madhouse-project.org/iocaine/iocaine/src/tag/iocaine-1.0.0
